Update of dist.txt

Discussion in 'Installation/Configuration' started by misterm, Apr 14, 2009.

  1. misterm

    misterm Member HowtoForge Supporter

    Hello to all, I come from noted on my server OVH that my version of Debian Lenny, is more the 5.0 but the 5.0.1, then, have to carry out an update of the dist.txt file.

    The base file is up to date on my ftp.


  2. khayjake

    khayjake Member


    Sweet.. Thanks!
  3. khayjake

    khayjake Member

    Etch & Lenny

    Did you have to make these changes when dist-upgrading from ETCH to LENNY?

    ..or is this just what you needed to dist-upgrade Lenny 5.0 to 5.0.1 or whatnot like you posted in the first message?

    I noticed that english is probably not your first language...and I didn't read your post carefully enough the first time....so i just wanted to be clear on the subject at hand.

    I still have several ispconfig servers I need to dist-upgrade from etch to lenny, and then proceed to upgrade the ISPConfig panel on each machine.

    Did you ever upgrade from etch to lenny? or are these instructions just for 5.0 to 5.01 dist-upgrades?

    Either way, thank you very much for your post.

  4. till

    till Super Moderator Staff Member ISPConfig Developer

    You dont have to do any changes as the latest ISPConfig 2 supports debian etch and lenny already.
  5. khayjake

    khayjake Member

    suexec & saslauthd errors on dist-upgrade

    Okay I did the dist-upgrade from etch to lenny successfully. Everything seems to work fine however on the bootup i get the following errors.

    /etc/default/saslauthd (Warning: shortname undefined)

    and also

    Warning: SuexecUserGroup directive requires suexec wrapper!

    I didnt know if the last one was because i needed to install the package apache2-suexec-custom or something like that.....

    the saslauthd error should be able to be fixed easily hopefully, Im gonna try to find out whats wrong by looking at the debian lenny ispconfig perfect setup tut if i can find it....

    Thanks guys
  6. khayjake

    khayjake Member

    suexec error fixed


    I went to the ISPConfig control panel - Management - Settings - Web and uncheckmarked the SUEXEC box.

    I guess i wasnt using it anyways because the warnings disappeared at bootup.

    However, if I wanted to use it...is apache2-suexec-custom the correct debian package i would need to get it working through the ispconfig panel?

    Now I just have to figure out what I need to change in /etc/default/saslauthd

    to fix the short name error/warning thing.

    Thanks for your help/advice fellas

  7. till

    till Super Moderator Staff Member ISPConfig Developer

    Just redo the mail setup steps from the perfect server setup for lenny.
  8. khayjake

    khayjake Member


    Okay will do.

    Another error i noticed after the upgrade was an Apache2 error

    It says:

    "The alias directive in /etc/apache2/apache2.conf line 240 will probably never match because it overlaps a previous alias

    Line 240 includes the following:

    Alias /icons/ "/usr/share/apache2/icons/"

    I searched the apache2.conf and found no other entries like the one above...

    this showed up right after the dist-upgrade....any ideas?

    Thanks for you help,

  9. falko

    falko Super Moderator ISPConfig Developer

    I'd simply comment out that line.

Share This Page